Subject: Re: two differents version of unctrl.h, one in cygwin-1.1.7 and one in ncurses-5.2
From: "Dr. Volker Zell" <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Charles Wilson <[email-masked]>, "Dr. Volker Zell" <[email-masked]>, [email-masked]
Date: 16 Jan 2001 19:21:15 +0100

>>>>> "Earnie" == Earnie Boyd <[email-masked]> writes:

    Earnie> Charles Wilson wrote:
    >> 
    >> I'll release a new ncurses where the ncurses version of unctrl.h is
    >> renamed 'nunctrl.h' and change all internal ncurses references to point
    >> to the new file.  But I can't guarantee any time frame on that.
    >> 

    Earnie> I don't know about the rest of this list but I would prefer it be
    Earnie> /usr/include/ncurses/unctrl.h.  It is then obvious as to what it is
    Earnie> for.  If you name it nunctrl.h then it won't be that obvious.

I agree with Earnie. But then the interdependencies of the ncurses header files have to be solved.
Actually the Xemacs configure script checks for curses.h and term.h in /usr/include/ncurses.
And there is already another name collision in the ncurses package with the termcap package (termcap.h).

    Earnie> Cheers,
    Earnie> Earnie.

Ciao
  Volker

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple